import React, { useEffect, useState } from 'react'
import { getOrderHistory } from '../../actions/order_actions';
import Order from './Order';

import './order-history.css'

const OrderHistory = () => {

    const [orderHistory, setOrderHistory] = useState([]);
    
    useEffect( async () => {
        const userHistory = await getOrderHistory('e-com-test-id2');
        setOrderHistory(userHistory);
    }, [orderHistory]);

    return (
        <main>
            <h1>Order History</h1>

            <div id="orders">
                {orderHistory.map(order => {
                    return <Order order={order}/>;
                })}
            </div>
        </main>
    )
}

export default OrderHistory;